Skip to main content
`Ctrl`+`K`

# SVDViewFromOptions

View (print) an `SVD` object based on values in the options database.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDViewFromOptions(SVD svd,PetscObject obj,const char name[])

Collective

## Input Parameters

- svd - the singular value solver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

SVD: Singular Value Decomposition, `SVDView()`, `SVDCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/svd/interface/svdview.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages